Gentoo Archives: gentoo-dev

From: Sam James <sam@g.o>
To: gentoo-dev@l.g.o
Cc: ml@g.o, Sam James <sam@g.o>
Subject: [gentoo-dev] [PATCH 1/3] dune.eclass: restrict strip
Date: Mon, 11 Oct 2021 05:08:23
Message-Id: 20211011050759.2896218-1-sam@gentoo.org
1 This breaks at least ocamlopt.
2
3 Closes: https://bugs.gentoo.org/803047
4 Closes: https://bugs.gentoo.org/811315
5 Signed-off-by: Sam James <sam@g.o>
6 ---
7 eclass/dune.eclass | 3 +++
8 1 file changed, 3 insertions(+)
9
10 diff --git a/eclass/dune.eclass b/eclass/dune.eclass
11 index 02a8a870ef43e..8a6e01893932a 100644
12 --- a/eclass/dune.eclass
13 +++ b/eclass/dune.eclass
14 @@ -28,6 +28,9 @@ esac
15 # Do not complain about CFLAGS etc since ml projects do not use them.
16 QA_FLAGS_IGNORED='.*'
17
18 +# Breaks with ocamlopt
19 +RESTRICT="strip"
20 +
21 EXPORT_FUNCTIONS src_compile src_test src_install
22
23 RDEPEND=">=dev-lang/ocaml-4:=[ocamlopt?] dev-ml/dune:="
24 --
25 2.33.0